# whatlanggo

Natural language detection implemented in Go.
Please check also [README](https://github.com/abadojack/whatlanggo/blob/master/README.md)
and [documentation](https://godoc.org/github.com/abadojack/whatlanggo).

## Supported languages

| Language       | ISO 639-3 | const       |
| -------------- | --------- | ----------- |
| Esperanto      | epo       | Epo |
| English        | eng       | Eng |
| Russian        | rus       | Rus |
| Mandarin       | cmn       | Cmn |
| Spanish        | spa       | Spa |
| Portuguese     | por       | Por |
| Italian        | ita       | Ita |
| Bengali        | ben       | Ben |
| French         | fra       | Fra |
| German         | deu       | Deu |
| Ukrainian      | ukr       | Ukr |
| Georgian       | kat       | Kat |
| Arabic         | arb       | Arb |
| Hindi          | hin       | Hin |
| Japanese       | jpn       | Jpn |
| Hebrew         | heb       | Heb |
| Yiddish        | ydd       | Ydd |
| Polish         | pol       | Pol |
| Amharic        | amh       | Amh |
| Tigrinya       | tir       | Tir |
| Javanese       | jav       | Jav |
| Korean         | kor       | Kor |
| Bokmal         | nob       | Nob |
| Nynorsk        | nno       | Nno |
| Danish         | dan       | Dan |
| Swedish        | swe       | Swe |
| Finnish        | fin       | Fin |
| Turkish        | tur       | Tur |
| Dutch          | nld       | Nld |
| Hungarian      | hun       | Hun |
| Czech          | ces       | Ces |
| Greek          | ell       | Ell |
| Bulgarian      | bul       | Bul |
| Belarusian     | bel       | Bel |
| Marathi        | mar       | Mar |
| Kannada        | kan       | Kan |
| Romanian       | ron       | Ron |
| Slovene        | slv       | Slv |
| Croatian       | hrv       | Hrv |
| Serbian        | srp       | Srp |
| Macedonian     | mkd       | Mkd |
| Lithuanian     | lit       | Lit |
| Latvian        | lav       | Lav |
| Estonian       | est       | Est |
| Tamil          | tam       | Tam |
| Vietnamese     | vie       | Vie |
| Urdu           | urd       | Urd |
| Thai           | tha       | Tha |
| Gujarati       | guj       | Guj |
| Uzbek          | uzb       | Uzb |
| Punjabi        | pan       | Pan |
| Azerbaijani    | azj       | Azj |
| Indonesian     | ind       | Ind |
| Telugu         | tel       | Tel |
| Persian        | pes       | Pes |
| Malayalam      | mal       | Mal |
| Hausa          | hau       | Hau |
| Oriya          | ori       | Ori |
| Burmese        | mya       | Mya |
| Bhojpuri       | bho       | Bho |
| Tagalog        | tgl       | Tgl |
| Yoruba         | yor       | Yor |
| Maithili       | mai       | Mai |
| Oromo          | orm       | Orm |
| Igbo           | ibo       | Ibo |
| Cebuano        | ceb       | Ceb |
| Kurdish        | kur       | Kur |
| Malagasy       | mlg       | Mlg |
| Saraiki        | skr       | Skr |
| Nepali         | nep       | Nep |
| Sinhalese      | sin       | Sin |
| Khmer          | khm       | Khm |
| Turkmen        | tuk       | Tuk |
| Somali         | som       | Som |
| Chewa          | nya       | Nya |
| Akan           | aka       | Aka |
| Zulu           | zul       | Zul |
| Kinyarwanda    | kin       | Kin |
| Haitian Creole | hat       | Hat |
| Ilocano        | ilo       | Ilo |
| Rundi          | run       | Run |
| Shona          | sna       | Sna |
| Uyghur         | uig       | Uig |
| Africaans      | afr       | Afr |
